/*
 * ucontext.h
 * 
 * Copyright (c) 1997 QNX Software Systems Limited (QSSL).  All rights reserved
 * 
 * This software is the confidential and proprietary information QSSL.
 * ("Confidential Information").  You shall not
 * disclose such Confidential Information. 
 * 
 */

#ifndef _UCONTEXT_H_
#define _UCONTEXT_H_

#include "sys/ucontext.h"

extern int getcontext(ucontext_t *);
extern void setcontext(ucontext_t *);
extern void makecontext(ucontext_t *, void (*)(), int, ...);

#pragma aux getcontext __parm __caller value [eax];
#pragma aux setcontext __aborts;
#endif 

